# Generated by Django 2.0.5 on 2020-02-11 12:00

import collector.models
import custom_storages
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [("accounts", "0081_auto_20200206_1334")]

    operations = [
        migrations.CreateModel(
            name="Collector",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("version", models.CharField(max_length=20)),
                ("platform", models.CharField(max_length=30)),
                (
                    "download_link",
                    models.FileField(
                        blank=True,
                        null=True,
                        storage=custom_storages.OverwriteStorage(),
                        upload_to=collector.models.file_upload_url,
                    ),
                ),
                ("created_on", models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name="CustomerCollector",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("token", models.CharField(max_length=300, unique=True)),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("pending", "pending"),
                            ("active", "active"),
                            ("inactive", "inactive"),
                        ],
                        max_length=30,
                    ),
                ),
                ("last_heart_beat", models.DateTimeField(blank=True, null=True)),
                ("created_on", models.DateTimeField(auto_now_add=True)),
                (
                    "collector",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="collector.Collector",
                    ),
                ),
                (
                    "customer",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="collectors",
                        to="accounts.Customer",
                    ),
                ),
            ],
        ),
        migrations.AddIndex(
            model_name="customercollector",
            index=models.Index(fields=["token"], name="collector_c_token_f374a8_idx"),
        ),
    ]
